Work Details
Interface description: Get detailed information of the specified work
curl --request GET \
--url https://aitoearn.cn/api/v2/channels/works/{platform}/{platformWorkId} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://aitoearn.cn/api/v2/channels/works/{platform}/{platformWorkId}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://aitoearn.cn/api/v2/channels/works/{platform}/{platformWorkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/v2/channels/works/{platform}/{platformWorkId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"platform": "douyin",
"work": {
"id": "string",
"url": "string",
"title": "string",
"description": "string",
"mediaType": "string",
"coverUrl": "string",
"publishedAt": "2026-07-02T12:00:00.000Z",
"status": "string",
"author": "string"
},
"snapshots": [],
"extra": {},
"snapshotId": "string",
"fetchedAt": "2026-07-02T12:00:00.000Z",
"message": "string"
}
}Authorizations
Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".
Path Parameters
Platform identification
Platform work ID
Query Parameters
Account ID
1Response
The request has been processed by the service. Business success is determined by whether the response body has code === 0.
Business status code. 0 means success; non-zero means a business error.
Response message.
Hide child attributes
Hide child attributes
platform
douyin, xhs, wxSph, KWAI, youtube, wxGzh, bilibili, twitter, tiktok, facebook, instagram, threads, pinterest, linkedin, google_business Work information
Hide child attributes
Hide child attributes
Platform work ID
Work link
Title of work
Description of work
Work media type
Cover URL
Release time
Work status
author
Snapshot of work data saved this time
Hide child attributes
Hide child attributes
Snapshot corresponding time
Platform data acquisition time
Work information
Hide child attributes
Hide child attributes
Platform work ID
Work link
Title of work
Description of work
Work media type
Cover URL
Release time
Work status
author
Snapshot ID
Platform work ID
Interval start time
interval end time
Work indicators
Hide child attributes
Hide child attributes
Number of views
Number of plays
Exposures
Reach count
Number of likes
Number of collections
Number of comments
Number of shares
Number of saves
Clicks
Number of interactions
Watch time in seconds
Platform special fields
Platform special fields
This primary snapshot ID
Platform data acquisition time
Prompt message
Request ID.
Error response timestamp in Unix milliseconds.
curl --request GET \
--url https://aitoearn.cn/api/v2/channels/works/{platform}/{platformWorkId} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://aitoearn.cn/api/v2/channels/works/{platform}/{platformWorkId}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://aitoearn.cn/api/v2/channels/works/{platform}/{platformWorkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/v2/channels/works/{platform}/{platformWorkId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"platform": "douyin",
"work": {
"id": "string",
"url": "string",
"title": "string",
"description": "string",
"mediaType": "string",
"coverUrl": "string",
"publishedAt": "2026-07-02T12:00:00.000Z",
"status": "string",
"author": "string"
},
"snapshots": [],
"extra": {},
"snapshotId": "string",
"fetchedAt": "2026-07-02T12:00:00.000Z",
"message": "string"
}
}
